/***************************************************************************
*   Copyright (C) 2001 by Rick L. Vinyard, Jr.                            *
*   rvinyard@cs.nmsu.edu                                                  *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU Lesser General Public License as        *
*   published by the Free Software Foundation version 2.1.                *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU Lesser General Public      *
*   License along with this library; if not, write to the                 *
*   Free Software Foundation, Inc.,                                       *
*   51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA              *
***************************************************************************/
#ifndef CONEXUSENUMS_H
#define CONEXUSENUMS_H

namespace Conexus {

  typedef enum IOMethod {
    BLOCK,
    NONBLOCK
  } IOMethod;

  typedef enum ReadWrite {
    READ = 0x01,
    WRITE = 0x02,
    READWRITE = 0x03
  } ReadWrite;
  
  typedef enum IPAddressPort { 
    IP_ADDRESS=0x01, 
    IP_PORT=0x02 
  } IPAddressPort;



}

#endif
